%define _name xfconf
Name: lib%_name
Version: 4.6.1
Release: alt2

Summary: Xfconf is the new configuration system for Xfce 4.6, replacing the old MCS
Summary (ru): Система конфигурации Xfce
License: BSD-style
Group: Development/C
Url: http://www.xfce.org/

Packager: Denis Koryavov <dkoryavov@altlinux.org>

Source: ftp://ftp.berlios.de/pub/xfce-goodies/%version/%_name-%version.tar.bz2

Requires: dbus-tools-gui
BuildPreReq: rpm-build-xfce4  libxfce4util-devel > 4.5 xfce4-dev-tools > 4.5
BuildRequires: gcc-c++ gtk-doc libdbus-glib-devel

%description
Xfconf is intended to be more general-purpose than MCS ever was, and not even
require a GUI for management of settings. Some may consider Xfconf's architecture
to be similar to that of gconf, and they wouldn't be completely wrong. However,
Xfconf is designed to be much simpler and easier to work with, while still being
much more flexible than MCS and providing core Xfce applications and 3rd-party
applications an easy-to-use configuration system.

As you might guess, Xfconf consists of a few different components that all work together.
It uses D-Bus for communication between these components.

%description -l ru
Xfconf - новая система конфигурации для Xfce 4.6 заменяющая используемую ранее MCS.
Напоминает систему конфигурации GNOME - gconf. Данная система разрабатывалась такой,
чтобы быть как можно проще и легче в использовании, вместе с тем, предоставлять
гибкие и мощные средства конфигурации для приложений ее использущую.

Xfconf - состоит из нескольких различных компонент, которые работают вместе
через коммуникационную шину D-Bus.
Возможно управление как из графического так и консольного интерфейсов.

%package devel
Summary: Development files for %name
Group: Development/C
License: BSD-style
PreReq: %name = %version-%release

%description devel
Header files for the %name library.

%package devel-static
Summary: Static libraries for %name
Group: Development/C
License: BSD-style
PreReq: %name-devel = %version-%release

%description devel-static
Static libraries files for the %name library.

%package -n %_name-utils
Summary: Utils for xfce 4.6 configuration system
Group: Graphical desktop/XFce
PreReq: %name = %version-%release
%description -n %_name-utils
Xfconfd is a small daemon that handles storage and retrieval of settings, as well
as notifying interested applications about changes to settings. It doesn't require
a GUI, so it could even be used for command-line applications.

Xfconf-query might be one of the tools many users have been waiting on for years,
especially those hanging around in our IRC channel. Instead of having to guide new
users through several dialogs and windows, it is now possible to have every control
over your Xfce desktop at your fingertips. You can view or change any setting stored
in xfconf with xfconf-query.

%prep
%setup -n %_name-%version
#%patch -p1

%build
%xfce4reconf
%configure \
	--enable-gtk-doc \
	--enable-debug=no
%make_build

%install
%makeinstall_std
%find_lang %_name

%files -f %_name.lang
%doc AUTHORS NEWS TODO ChangeLog
%_libdir/*.so.*

%files devel
%doc %_datadir/gtk-doc/html/%_name
%_includedir/xfce4/xfconf-0
%_pkgconfigdir/*.pc
%_libdir/*.so
%exclude %_libdir/*.a

%files -n %_name-utils
%_bindir/*
%_libexecdir/xfconfd
%_datadir/dbus-1/services/*.service

%changelog
* Sun May 24 2009 Denis Koryavov <dkoryavov@altlinux.org> 4.6.1-alt2
- Added dbus-tools-gui as depency

* Sun Apr 19 2009 Denis Koryavov <dkoryavov@altlinux.org> 4.6.1-alt1
Xfce 4.6.1

* Sun Apr 12 2009 Denis Koryavov <dkoryavov@altlinux.org> 4.6.0-alt1
Xfce 4.6.0

* Tue Jan 27 2009 Eugene Ostapets <eostapets@altlinux.ru> 4.5.99.1-alt1
- Xfce 4.6rc1

* Thu Jan 22 2009 Eugene Ostapets <eostapets@altlinux.ru> 4.5.93-alt1
- Xfce 4.6 beta 3

* Mon Oct 20 2008 Eugene Ostapets <eostapets@altlinux.org> 4.5.91-alt1
- Xfce 4.6 beta1
- First build for ALTLinux
